## curl 7.11.0-3.backports.org.1

=== Makefile ===
#***************************************************************************
#                                  _   _ ____  _
#  Project                     ___| | | |  _ \| |
#                             / __| | | | |_) | |
#                            | (__| |_| |  _ <| |___
#                             \___|\___/|_| \_\_____|
#
# Copyright (C) 1998 - 2004, Daniel Stenberg, <daniel@haxx.se>, et al.
#
# This software is licensed as described in the file COPYING, which
# you should have received as part of this distribution. The terms
# are also available at http://curl.haxx.se/docs/copyright.html.
#
# You may opt to use, copy, modify, merge, publish, distribute and/or sell
# copies of the Software, and permit persons to whom the Software is
# furnished to do so, under the terms of the COPYING file.
#
# This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
# KIND, either express or implied.
#
# $Id: Makefile.dist,v 1.17 2004/01/13 08:57:01 bagder Exp $
###########################################################################

all:
	./configure
	make

ssl:
	./configure --with-ssl
	make

borland:
	cd lib & make -f Makefile.b32
	cd src & make -f Makefile.b32

mingw32:
	cd lib & make -f Makefile.m32 ZLIB=1
	cd src & make -f Makefile.m32 ZLIB=1

mingw32-ssl:
	cd lib & make -f Makefile.m32 SSL=1 ZLIB=1
	cd src & make -f Makefile.m32 SSL=1 ZLIB=1

vc:
	cd lib
	nmake -f Makefile.vc6 cfg=release
	cd ..\src
	nmake -f Makefile.vc6

vc-ssl:
	cd lib
	nmake -f Makefile.vc6 cfg=release-ssl
	cd ..\src
	nmake -f Makefile.vc6 cfg=release-ssl

vc-ssl-dll:
	cd lib
	nmake -f Makefile.vc6 cfg=release-ssl-dll
	cd ..\src
	nmake -f Makefile.vc6

vc-libcurl-ssl-dll:
	cd lib
	nmake -f Makefile.vc6 cfg=release-libcurl-ssl-dll
	cd ..\src
	nmake -f Makefile.vc6

djgpp:
	make -C lib -f Makefile.dj
	make -C src -f Makefile.dj

cygwin:
	./configure
	make

cygwin-ssl:
	./configure --with-ssl
	make

amiga:
	cd ./lib && make -f makefile.amiga
	cd ./src && make -f makefile.amiga



unix: all

unix-ssl: ssl

linux: all

linux-ssl: ssl

=== debian/changelog ===
curl (7.11.0-3.backports.org.1) unstable; urgency=low

  * lowered version number for backports.org

 -- Alexander Wirt <formorer@debian.org>  Fri, 13 Feb 2004 19:38:42 +0000

curl (7.11.0-4) unstable; urgency=low

  * Applied fix from upstream's CVS which adds another CRLF in
    chunked-transfers.

 -- Domenico Andreoli <cavok@debian.org>  Sun,  1 Feb 2004 13:19:02 +0100

curl (7.11.0-3) unstable; urgency=low

  * "Fixed" build process, now the right file is searched for CA
    certificates (closes: #228182).

 -- Domenico Andreoli <cavok@debian.org>  Sat, 31 Jan 2004 20:06:10 +0100

curl (7.11.0-2) unstable; urgency=low

  * Test suite is still performed but is not critical for the build
    being successful any more.

 -- Domenico Andreoli <cavok@debian.org>  Fri, 30 Jan 2004 13:03:03 +0100

curl (7.11.0-1) unstable; urgency=low

  * New upstream version. 

 -- Domenico Andreoli <cavok@debian.org>  Sun, 25 Jan 2004 17:50:43 +0100

curl (7.10.8+7.11.0-pre1-1) unstable; urgency=low

  * New upstream pre-release:
    - proxy+ssl now passes post variables (closes: #222901)
    - various test case problems exposed in #222140 should now be fixed.
  * Bumped up shlibs version because of the introduction of
    CURLOPT_NETRC_FILE and CURLOPT_FTP_SSL options in libcurl.

 -- Domenico Andreoli <cavok@debian.org>  Wed, 14 Jan 2004 17:35:46 +0100

curl (7.10.8-1) unstable; urgency=low

  * New upstream version:
    - fixed LDAP support (closes: #149609)
    - cleaner environment for testsuite execution (closes: #210253)
    - fixed lib/Makefile.am's use of LDFLAGS (closes: #212086)
    - fixed name clash in curl.h with respect to unistd.h (closes: #213180)
    - fixed typo in curl manpage (closes: #218046).
  * Bumped up shlibs version because of new libcurl options.
  * Added stunnel to the Build-Depends in order to enable SSL test cases.

 -- Domenico Andreoli <cavok@debian.org>  Mon,  3 Nov 2003 10:26:12 +0100

curl (7.10.7-2) unstable; urgency=low

  * Fixed bug in cache_resolv_response on alpha and ia64 (closes: #207174).
    Patch courtesy of Jurij Smakov.

 -- Domenico Andreoli <cavok@debian.org>  Mon,  8 Sep 2003 21:55:46 +0200

curl (7.10.7-1) unstable; urgency=low

  * New upstream version.
  * Bumped up shlibs version because of the introduction of CURLOPT_PROXYAUTH
    and CURLOPT_FTP_CREATE_MISSING_DIRS options in libcurl.

 -- Domenico Andreoli <cavok@debian.org>  Mon, 18 Aug 2003 00:19:43 +0200

curl (7.10.6-3) unstable; urgency=low

  * Applied patch to fix test 60 on ia64.

 -- Domenico Andreoli <cavok@debian.org>  Sat,  9 Aug 2003 04:26:15 +0200

curl (7.10.6-2) unstable; urgency=low

  * Applied patch from upstream to fix url globbing (closes: #203827).
  * make test is still performed on building debug stuff but errors
    are ignored.

 -- Domenico Andreoli <cavok@debian.org>  Thu,  7 Aug 2003 02:20:46 +0200

curl (7.10.6-1) unstable; urgency=low

  * New upstream version:
    - added spport for http_proxy env var with name:passwd
      (closes: #193630).
  * make test is invoked after build 

 -- Domenico Andreoli <cavok@debian.org>  Tue, 29 Jul 2003 01:26:50 +0200

curl (7.10.5-1) unstable; urgency=low

  * New upstream version:
    - fixed typo in curl's man page (closes: #189272).
  * New libcurl option CURLOPT_FTP_USE_EPRT has been added, bumped
    up shlibs.

 -- Domenico Andreoli <cavok@debian.org>  Mon, 19 May 2003 23:57:12 +0200

curl (7.10.4-1) unstable; urgency=low

  * New upstream version:
    - now uses new settings properly when re-using an existing connection
      (closes: #185254)
    - curl man page now refers to MANUAL (closes: #178509).
  * Changed section of libcurl2-dev and libcurl2-dbg to libdevel. 

 -- Domenico Andreoli <cavok@debian.org>  Wed,  2 Apr 2003 21:25:24 +0200

curl (7.10.3-3) unstable; urgency=low

  * Rebuilt to link against libssl0.9.7.
  * Improved package descriptions thanks to suggestions provided by
    Filip Van Raemdonck <mechanix@debian.org> (closes: #177995).

 -- Domenico Andreoli <cavok@debian.org>  Fri, 14 Mar 2003 16:08:38 +0100

curl (7.10.3-2) unstable; urgency=low

  * Development package is now named libcurl2-dev, it provides
    libcurl-dev.  People can now safely make their build dependencies
    and be sure to use the right stuff.
  * New package libcurl2-dbg is provided to help in debugging sessions.

 -- Domenico Andreoli <cavok@debian.org>  Mon, 20 Jan 2003 22:04:32 +0100

curl (7.10.3-1) unstable; urgency=low

  * New upstream version.
  * It now suggests ca-certificates package.

 -- Domenico Andreoli <cavok@debian.org>  Thu, 16 Jan 2003 00:27:48 +0100

curl (7.10.2-2) unstable; urgency=low

  * Added AM_MAINTAINER_MODE to configure.in (closes: #170050).

 -- Domenico Andreoli <cavok@debian.org>  Fri, 22 Nov 2002 14:28:22 +0100

curl (7.10.2-1) unstable; urgency=low

  * New upstream version:
    - fixed segfault on retrieving relative redirects (closes: #165382)
    - fixed a leak of debug output (closes: #167678).
  * Updated config.guess and config.sub (closes: #166153).
  * Added zlib1g-dev to build and libcurl-dev dependencies
    (closes: #169654).
  * Added HTML and PDF versions of all manpages in libcurl-dev package.

 -- Domenico Andreoli <cavok@debian.org>  Wed, 20 Nov 2002 23:38:24 +0100

curl (7.10.1-1) unstable; urgency=low

  * New upstream version. 

 -- Domenico Andreoli <cavok@debian.org>  Fri, 11 Oct 2002 23:26:50 +0200

curl (7.10-1) unstable; urgency=low

  * New upstream version:
    - new way to use option -x to prevent curl from using any proxy
      server (closes: #161153).

 -- Domenico Andreoli <cavok@debian.org>  Wed,  2 Oct 2002 01:04:20 +0200

curl (7.9.8-2) unstable; urgency=low

  * Added again libcurl2-ssl to the libcurl2 conflicts.

 -- Domenico Andreoli <cavok@debian.org>  Thu,  4 Jul 2002 02:35:24 +0200

curl (7.9.8-1) unstable; urgency=low

  * New upstream version.
  * Double flavor of curl to support both non-SSL and SSL is gone.


=== debian/control ===
Source: curl
Section: web
Priority: optional
Maintainer: Domenico Andreoli <cavok@debian.org>
Standards-Version: 3.6.1
Build-Depends: debhelper (>> 3.0.0), libssl-dev, zlib1g-dev, stunnel

Package: curl
Architecture: any
Section: web
Replaces: curl-ssl
Provides: curl-ssl
Depends: ${shlibs:Depends}
Description: Get a file from an HTTP, HTTPS, FTP or GOPHER server
 curl is a client to get files from servers using any of the supported
 protocols. The command is designed to work without user interaction
 or any kind of interactivity.
 .
 curl offers a busload of useful tricks like proxy support, user
 authentication, ftp upload, HTTP post, file transfer resume and more.
 .
 Homepage: http://curl.haxx.se

Package: libcurl2
Architecture: any
Section: libs
Suggests: ca-certificates
Replaces: libcurl2-ssl
Provides: libcurl2-ssl
Depends: ${shlibs:Depends}
Description: Multi-protocol file transfer library, now with SSL support!
 libcurl is designed to be a solid, usable, reliable and portable
 multi-protocol file transfer library.
 .
 This is the shared version of libcurl.
 .
 Homepage: http://curl.haxx.se

Package: libcurl2-dbg
Architecture: any
Section: libdevel
Priority: extra
Suggests: libc6-dbg | libc6.1-dbg | libc0.3-dbg
Depends: ${shlibs:Depends}, libcurl2 (= ${Source-Version})
Description: libcurl compiled with debug symbols
 This is the shared version of libcurl compiled with debug symbols.
 It might be useful in debug sessions of software which uses libcurl.
 .
 Homepage: http://curl.haxx.se

Package: libcurl2-dev
Architecture: any
Section: libdevel
Suggests: libcurl2-dbg
Replaces: libcurl-ssl-dev, libcurl-dev
Provides: libcurl-ssl-dev, libcurl-dev
Depends: libcurl2 (= ${Source-Version}), libc6-dev | libc-dev, libssl-dev, zlib1g-dev
Description: Development files and documentation for libcurl
 These files (ie. includes, static library, manual pages) allow to
 build software which uses libcurl.
 .
 HTML and PDF versions of all the manual pages are also provided.
 .  
 Homepage: http://curl.haxx.se

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CONFIGURE_ARGS = --host=${DEB_HOST_GNU_TYPE} --build=${DEB_BUILD_GNU_TYPE} --prefix=/usr --mandir=\$${prefix}/share/man --enable-ipv6 --disable-dependency-tracking

build: build-stamp

#configure-stamp: DH_OPTIONS=
configure-stamp:
	dh_testdir
	mkdir -p debian/build debian/build-dbg
	cd debian/build && ../../configure ${CONFIGURE_ARGS}
	cd debian/build-dbg && ../../configure ${CONFIGURE_ARGS} --enable-debug
	touch configure-stamp

#build-stamp: DH_OPTIONS=
build-stamp: configure-stamp
	dh_testdir
	rm -f lib/ca-bundle.h
	${MAKE} -C debian/build
	${MAKE} -C debian/build-dbg
	touch build-stamp

#test-stamp: DH_OPTIONS=
test-stamp: build-stamp
	dh_testdir
	-${MAKE} -C debian/build test
	-${MAKE} -C debian/build-dbg test
	touch test-stamp

clean:
	dh_testdir
	dh_testroot
	rm -rf test-stamp build-stamp configure-stamp debian/build debian/build-dbg debian/tmp-dbg
	dh_clean

#install: DH_OPTIONS=
install: build-stamp test-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	${MAKE} -C debian/build DESTDIR=`pwd`/debian/tmp install
	${MAKE} -C debian/build-dbg DESTDIR=`pwd`/debian/tmp-dbg install
	dh_movefiles
	cp -d debian/tmp-dbg/usr/lib/libcurl.so.* debian/libcurl2-dbg/usr/lib/debug

# Build architecture-independent files here.
#binary-indep: DH_OPTIONS=-i
binary-indep: build-stamp install
# We have nothing to do here.

# Build architecture-dependent files here.
#binary-arch: DH_OPTIONS=-a
binary-arch: build-stamp install
	dh_testdir
	dh_testroot
	dh_installdocs
	install -m 644 docs/*.html debian/libcurl2-dev/usr/share/doc/libcurl2-dev/html
	install -m 644 docs/libcurl/*.html debian/libcurl2-dev/usr/share/doc/libcurl2-dev/html/libcurl
	install -m 644 docs/*.pdf debian/libcurl2-dev/usr/share/doc/libcurl2-dev/pdf
	install -m 644 docs/libcurl/*.pdf debian/libcurl2-dev/usr/share/doc/libcurl2-dev/pdf/libcurl
	dh_installman
	dh_installexamples
	dh_installchangelogs CHANGES
	dh_link
	dh_strip -Nlibcurl2-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs -Nlibcurl2-dbg -V "libcurl2 (>= 7.11.0-1)"
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep build clean install

## curl 7.12.3

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 # This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
 # KIND, either express or implied.
 #
-# $Id: Makefile.dist,v 1.17 2004/01/13 08:57:01 bagder Exp $
+# $Id: Makefile.dist,v 1.27 2004/11/13 16:57:56 giva Exp $
 ###########################################################################
 
 all:
@@ -30,44 +30,80 @@
 	make
 
 borland:
-	cd lib & make -f Makefile.b32
-	cd src & make -f Makefile.b32
+	cd lib
+	make -f Makefile.b32
+	cd ..\src
+	make -f Makefile.b32
+
+borland-ssl:
+	cd lib
+	make -f Makefile.b32 WITH_SSL=1
+	cd ..\src
+	make -f Makefile.b32 WITH_SSL=1
+
+borland-ssl-zlib:
+	cd lib
+	make -f Makefile.b32 WITH_SSL=1 WITH_ZLIB=1
+	cd ..\src
+	make -f Makefile.b32 WITH_SSL=1 WITH_ZLIB=1
+
+borland-clean:
+	cd lib
+	make -f Makefile.b32 clean
+	cd ..\src
+	make -f Makefile.b32 clean
 
 mingw32:
-	cd lib & make -f Makefile.m32 ZLIB=1
-	cd src & make -f Makefile.m32 ZLIB=1
+	$(MAKE) -C lib -f Makefile.m32 ZLIB=1
+	$(MAKE) -C src -f Makefile.m32 ZLIB=1
 
 mingw32-ssl:
-	cd lib & make -f Makefile.m32 SSL=1 ZLIB=1
-	cd src & make -f Makefile.m32 SSL=1 ZLIB=1
+	$(MAKE) -C lib -f Makefile.m32 SSL=1 ZLIB=1
+	$(MAKE) -C src -f Makefile.m32 SSL=1 ZLIB=1
+
+mingw32-clean:
+	$(MAKE) -C lib -f Makefile.m32 clean
+	$(MAKE) -C src -f Makefile.m32 clean
 
 vc:
 	cd lib
-	nmake -f Makefile.vc6 cfg=release
+	nmake /f Makefile.vc6 cfg=release
 	cd ..\src
-	nmake -f Makefile.vc6
+	nmake /f Makefile.vc6
+
+vc-zlib:
+	cd lib
+	nmake /f Makefile.vc6 cfg=release-zlib
+	cd ..\src
+	nmake /f Makefile.vc6 cfg=release-zlib
 
 vc-ssl:
 	cd lib
-	nmake -f Makefile.vc6 cfg=release-ssl
+	nmake /f Makefile.vc6 cfg=release-ssl
 	cd ..\src
-	nmake -f Makefile.vc6 cfg=release-ssl
+	nmake /f Makefile.vc6 cfg=release-ssl
+
+vc-ssl-zlib:
+	cd lib
+	nmake /f Makefile.vc6 cfg=release-ssl-zlib
+	cd ..\src
+	nmake /f Makefile.vc6 cfg=release-ssl-zlib
 
 vc-ssl-dll:
 	cd lib
-	nmake -f Makefile.vc6 cfg=release-ssl-dll
+	nmake /f Makefile.vc6 cfg=release-ssl-dll
 	cd ..\src
-	nmake -f Makefile.vc6
+	nmake /f Makefile.vc6
 
 vc-libcurl-ssl-dll:
 	cd lib
-	nmake -f Makefile.vc6 cfg=release-libcurl-ssl-dll
+	nmake /f Makefile.vc6 cfg=release-libcurl-ssl-dll
 	cd ..\src
-	nmake -f Makefile.vc6
+	nmake /f Makefile.vc6
 
 djgpp:
-	make -C lib -f Makefile.dj
-	make -C src -f Makefile.dj
+	$(MAKE) -C lib -f Makefile.dj
+	$(MAKE) -C src -f Makefile.dj
 
 cygwin:
 	./configure
@@ -81,7 +117,17 @@
 	cd ./lib && make -f makefile.amiga
 	cd ./src && make -f makefile.amiga
 
+netware:
+	$(MAKE) -C lib -f Makefile.netware
+	$(MAKE) -C src -f Makefile.netware
 
+netware-ssl:
+	$(MAKE) -C lib -f Makefile.netware SSL=1
+	$(MAKE) -C src -f Makefile.netware SSL=1
+
+netware-clean:
+	$(MAKE) -C lib -f Makefile.netware clean
+	$(MAKE) -C src -f Makefile.netware clean
 
 unix: all

## curl 7.13.2-2osso7

=== debian/changelog ===
curl (7.13.2-2osso7) unstable; urgency=low

  * Added pkg-config file to -dev package (fixes #NB31608)
  * Enabled zlib support.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri,  2 Jun 2006 14:11:43 +0300

curl (7.13.2-2osso6) unstable; urgency=low

  * Added libssl-dev dependencies (fixes #NB31262)

 -- Aapo Makela <aapo.makela@nokia.com>  Tue, 30 May 2006 17:04:57 +0300

curl (7.13.2-2osso5) unstable; urgency=low

  * Enabled HTTPS and IPv6 support

 -- Aapo Makela <aapo.makela@nokia.com>  Tue,  2 May 2006 08:43:22 +0300

curl (7.13.2-2osso4) unstable; urgency=low

  * Added security patches from curl 7.13.2-2sarge5 (fixes #NB27916)

 -- Aapo Makela <aapo.makela@nokia.com>  Wed, 26 Apr 2006 14:03:27 +0300

curl (7.13.2-2osso3) unstable; urgency=low

  * Enabled ARM Thumb mode.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 21 Apr 2006 10:57:21 +0300

curl (7.13.2-2osso2) unstable; urgency=low

  * Fixed some Debian warnings in source package.

 -- Aapo Makela <aapo.makela@nokia.com>  Mon, 10 Apr 2006 11:11:23 +0300

curl (7.13.2-2osso1) unstable; urgency=low

  * Disabled lots of stuff in configure in order to cut off the 
    dependencies.

 -- Aapo Makela <aapo.makela@nokia.com>  Mon,  2 Jan 2006 12:40:58 +0200

curl (7.13.2-2) unstable; urgency=low

  * Fixed conditional build of package libcurl3-gssapi
    (closes: #303939, #303953).

 -- Domenico Andreoli <cavok@debian.org>  Mon, 11 Apr 2005 19:00:27 +0200

curl (7.13.2-1) unstable; urgency=low

  * New upstream release:
    - fixed curl man page typos (closes: #302820).

 -- Domenico Andreoli <cavok@debian.org>  Tue,  5 Apr 2005 14:41:13 +0200

curl (7.13.1-3) unstable; urgency=low

  * Fixed hanging of some SSL connections (closes: #302366).

 -- Domenico Andreoli <cavok@debian.org>  Thu, 31 Mar 2005 16:27:41 +0200

curl (7.13.1-2) unstable; urgency=low

  * Rebuilt to get the correct libidn11 dependency (closes: #299348).
  * Added some missing documentation files (closes: #298855).

 -- Domenico Andreoli <cavok@debian.org>  Wed, 16 Mar 2005 14:30:03 +0100

curl (7.13.1-1) unstable; urgency=low

  * New upstream release.
  * Bumped up shlibs version for libcurl3 because of new curl options.

 -- Domenico Andreoli <cavok@debian.org>  Fri,  4 Mar 2005 16:03:17 +0100

curl (7.13.0-2) unstable; urgency=high

  * Fixed NTLM Authentication buffer overflow (closes: #296678).
    Patch courtesy of Daniel Stenberg. This handles CAN-2005-0490.
  * Removed libcurl2* packages and all the scary stuff used to build them
    (closes: #274631).

 -- Domenico Andreoli <cavok@debian.org>  Thu, 24 Feb 2005 10:07:22 +0100

curl (7.13.0-1) unstable; urgency=low

  * New upstream release.
  * libcurl3 now suggests package libldap2-dev to enable support for
    LDAP protocol.
  * Bumped up shlibs version for libcurl3 because of new curl options.

 -- Domenico Andreoli <cavok@debian.org>  Sat,  5 Feb 2005 10:39:52 +0100

curl (7.12.3-2) unstable; urgency=low

  * Disabled test suite on m68k, it stalls.

 -- Domenico Andreoli <cavok@debian.org>  Thu, 30 Dec 2004 11:11:48 +0100

curl (7.12.3-1) unstable; urgency=low

  * New upstream release:
    - fixed debug tracing to network socket is stderr is closed
      (closes: #278691).
  * Applied patch to fix getpass license problems (closes: #286794).
    Patch courtesy of Daniel Stenberg.
  * Bumped up shlibs version for libcurl3 because of new curl options.

 -- Domenico Andreoli <cavok@debian.org>  Mon, 27 Dec 2004 12:50:30 +0100

curl (7.12.2-2) unstable; urgency=low

  * libcurl3-dbg package is now built by dh_strip --dbg-package
    (closes: #274710).
  * Added build dependency on libdb4.2-dev.

 -- Domenico Andreoli <cavok@debian.org>  Thu,  4 Nov 2004 11:36:17 +0100

curl (7.12.2-1) unstable; urgency=low

  * New upstream release.
  * Update diff to 7.11.2.
  * Add debian/watch file.
  * Add myself as a uploader.

 -- Matthias Klose <doko@debian.org>  Wed,  3 Nov 2004 00:55:52 +0100

curl (7.12.1-1) unstable; urgency=low

  * New upstream release:
    - workaround for ASN1_STRING_to_UTF8 failing if input is already
      UTF-8 encoded (closes: #264711).
  * Bumped up shlibs version for libcurl3 because of the introduction
    of FTP 3rd party transfer support options.

 -- Domenico Andreoli <cavok@debian.org>  Tue, 10 Aug 2004 11:40:29 +0200

curl (7.12.0.rel-6) unstable; urgency=low

  * In rebuilding the 7.11.2 tree starting from the 7.12.0 one,
    lib/getdate.y is patched before lib/getdate.c (closes: #262597).

 -- Domenico Andreoli <cavok@debian.org>  Sun,  1 Aug 2004 17:59:57 +0200

curl (7.12.0.rel-5) unstable; urgency=low

  * Tests are performed only if build target and building host are the
    same and are not kfreebsd-gnu or knetbsd-gnu (closes: #261591).
  * On hurd-i386 libcurl3-gssapi is not built.

 -- Domenico Andreoli <cavok@debian.org>  Thu, 29 Jul 2004 15:17:51 +0200

curl (7.12.0.rel-4) unstable; urgency=low

  * Added build dependency on groff-base to really build the built-in
    manual.
  * libcurl3 now replaces old libcurl2 versions (closes: #255262).

 -- Domenico Andreoli <cavok@debian.org>  Tue, 20 Jul 2004 11:40:09 +0200

curl (7.12.0.rel-3) unstable; urgency=low

  * Enabled curl's built-in manual. 
  * configure script for 7.11.2 is now managed correctly.

 -- Domenico Andreoli <cavok@debian.org>  Sun, 18 Jul 2004 22:25:00 +0200

curl (7.12.0.rel-2) unstable; urgency=low

  * libcurl2 uses curl-ca-bundle-7.11.2.crt (closes: #255262).
    Yes, it is a hack to not add libcurl-common package right now.

 -- Domenico Andreoli <cavok@debian.org>  Sun, 18 Jul 2004 16:40:45 +0200

curl (7.12.0.rel-1) experimental; urgency=low

  * Version 7.12.0 is back with proper libcurl3* packages.
  * libcurl2* 7.11.2 packages are still provided (closes: #252879).
  * Enabled again the support for libidn.

 -- Domenico Andreoli <cavok@debian.org>  Sun,  6 Jun 2004 23:09:33 +0200

curl (7.12.0.is.7.11.2-1) unstable; urgency=low

  * Reverted to version 7.11.2 (closes: #252348).


=== debian/control ===
Source: curl
Section: web
Priority: optional
Maintainer: Domenico Andreoli <cavok@debian.org>
Uploaders: Aapo Makela <aapo.makela@nokia.com>
Build-Depends: debhelper (>> 3.0.0), autotools-dev, binutils (>= 2.14.90.0.7), libssl-dev, zlib1g-dev
Standards-Version: 3.6.1

Package: curl
Architecture: any
Section: web
Replaces: curl-ssl
Provides: curl-ssl
Depends: ${shlibs:Depends}
Description: Get a file from an HTTP, HTTPS, FTP or GOPHER server
 curl is a client to get files from servers using any of the supported
 protocols. The command is designed to work without user interaction
 or any kind of interactivity.
 .
 curl offers a busload of useful tricks like proxy support, user
 authentication, ftp upload, HTTP post, file transfer resume and more.
 .
  Homepage: http://curl.haxx.se

Package: libcurl3
Architecture: any
Section: libs
Suggests: libcurl3-gssapi (= ${Source-Version}), ca-certificates, libldap2-dev
Replaces: libcurl2 (<< 1:7.11.2-2)
Depends: ${shlibs:Depends}
Description: Multi-protocol file transfer library, now with SSL support!
 libcurl is designed to be a solid, usable, reliable and portable
 multi-protocol file transfer library.
 .
 To enable LDAP support package libldap2-dev is required.
 .
 This is the shared version of libcurl.
 .
  Homepage: http://curl.haxx.se

Package: libcurl3-dbg
Architecture: any
Section: libdevel
Priority: extra
Suggests: libc-dbg
Depends: libcurl3 (= ${Source-Version})
Description: libcurl compiled with debug symbols
 This is the shared version of libcurl compiled with debug symbols.
 It might be useful in debug sessions of software which uses libcurl.
 .
  Homepage: http://curl.haxx.se

Package: libcurl3-dev
Architecture: any
Section: libdevel
Conflicts: libcurl2-dev
Suggests: libcurl3-dbg
Replaces: libcurl-ssl-dev, libcurl-dev
Provides: libcurl-ssl-dev, libcurl-dev
Depends: libcurl3 (= ${Source-Version}), libc6-dev | libc-dev, libssl-dev, zlib1g-dev
Description: Development files and documentation for libcurl
 These files (ie. includes, static library, manual pages) allow to
 build software which uses libcurl.
 .
 HTML and PDF versions of all the manual pages are also provided.
 .  
  Homepage: http://curl.haxx.se

=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_BUILD_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)

CFLAGS = -O2
CXXFLAGS = -O2

# Use soft-float and thumb mode if it enabled.
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
	CXXFLAGS += -mthumb
endif

export CFLAGS CXXFLAGS

CONFIGURE_ARGS = --host=${DEB_HOST_GNU_TYPE} --build=${DEB_BUILD_GNU_TYPE} --prefix=/usr --mandir=/usr/share/man --disable-dependency-tracking --without-ca-bundle --without-libidn --disable-gopher --disable-ldap --disable-dict --disable-telnet --disable-manual --disable-ares --disable-sspi

build: build-stamp

#configure-stamp: DH_OPTIONS=
configure-stamp:
	dh_testdir
	mkdir -p debian/build
	cd debian/build && ../../configure ${CONFIGURE_ARGS}

	touch configure-stamp

#build-stamp: DH_OPTIONS=
build-stamp: configure-stamp
	dh_testdir
	${MAKE} -C debian/build

	touch build-stamp

#test-stamp: DH_OPTIONS=
test-stamp: build-stamp
	dh_testdir
	touch test-stamp

clean:
	dh_testdir
	dh_testroot
	rm -rf test-stamp build-stamp configure-stamp debian/build

	dh_clean

#install: DH_OPTIONS=
install: build-stamp test-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	${MAKE} -C debian/build DESTDIR=`pwd`/debian/tmp install

	dh_movefiles

# Build architecture-independent files here.
#binary-indep: DH_OPTIONS=-i
binary-indep: build-stamp install
# We have nothing to do here.

# Build architecture-dependent files here.
#binary-arch: DH_OPTIONS=-a
binary-arch: build-stamp install
	dh_testdir
	dh_testroot
	dh_installdocs
	install -m 644 docs/*.html debian/libcurl3-dev/usr/share/doc/libcurl3-dev/html
	install -m 644 docs/libcurl/*.html debian/libcurl3-dev/usr/share/doc/libcurl3-dev/html/libcurl
	install -m 644 docs/*.pdf debian/libcurl3-dev/usr/share/doc/libcurl3-dev/pdf
	install -m 644 docs/libcurl/*.pdf debian/libcurl3-dev/usr/share/doc/libcurl3-dev/pdf/libcurl
	dh_installman
	dh_installexamples
	dh_installchangelogs CHANGES
	dh_link
	dh_strip --dbg-package=libcurl3
	dh_compress
	dh_fixperms
	dh_makeshlibs -plibcurl3 -V "libcurl3 (>= 7.13.1-1)"
	dh_installdeb
	dh_shlibdeps
	dh_md5sums

	dh_gencontrol -Nlibcurl3-gssapi
	dh_builddeb -Nlibcurl3-gssapi

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep build clean install

## curl 7.18.0

=== Makefile ===
#***************************************************************************
#                                  _   _ ____  _
#  Project                     ___| | | |  _ \| |
#                             / __| | | | |_) | |
#                            | (__| |_| |  _ <| |___
#                             \___|\___/|_| \_\_____|
#
# Copyright (C) 1998 - 2008, Daniel Stenberg, <daniel@haxx.se>, et al.
#
# This software is licensed as described in the file COPYING, which
# you should have received as part of this distribution. The terms
# are also available at http://curl.haxx.se/docs/copyright.html.
#
# You may opt to use, copy, modify, merge, publish, distribute and/or sell
# copies of the Software, and permit persons to whom the Software is
# furnished to do so, under the terms of the COPYING file.
#
# This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
# KIND, either express or implied.
#
# $Id: Makefile.dist,v 1.41 2008-01-19 11:33:06 bagder Exp $
###########################################################################

VC=vc6

all:
	./configure
	make

ssl:
	./configure --with-ssl
	make

borland:
	cd lib
	make -f Makefile.b32
	cd ..\src
	make -f Makefile.b32

borland-ssl:
	cd lib
	make -f Makefile.b32 WITH_SSL=1
	cd ..\src
	make -f Makefile.b32 WITH_SSL=1

borland-ssl-zlib:
	cd lib
	make -f Makefile.b32 WITH_SSL=1 WITH_ZLIB=1
	cd ..\src
	make -f Makefile.b32 WITH_SSL=1 WITH_ZLIB=1

borland-clean:
	cd lib
	make -f Makefile.b32 clean
	cd ..\src
	make -f Makefile.b32 clean

watcom:
	cd lib
	wmake -f Makefile.Watcom
	cd ..\src
	wmake -f Makefile.Watcom

watcom-clean:
	cd lib
	wmake -f Makefile.Watcom clean
	cd ..\src
	wmake -f Makefile.Watcom clean

mingw32:
	$(MAKE) -C lib -f Makefile.m32
	$(MAKE) -C src -f Makefile.m32

mingw32-zlib:
	$(MAKE) -C lib -f Makefile.m32 ZLIB=1
	$(MAKE) -C src -f Makefile.m32 ZLIB=1

mingw32-ssl-zlib:
	$(MAKE) -C lib -f Makefile.m32 SSL=1 ZLIB=1
	$(MAKE) -C src -f Makefile.m32 SSL=1 ZLIB=1

mingw32-ssh2-ssl-zlib:
	$(MAKE) -C lib -f Makefile.m32 SSH2=1 SSL=1 ZLIB=1
	$(MAKE) -C src -f Makefile.m32 SSH2=1 SSL=1 ZLIB=1

mingw32-ssh2-ssl-sspi-zlib:
	$(MAKE) -C lib -f Makefile.m32 SSH2=1 SSL=1 SSPI=1 ZLIB=1
	$(MAKE) -C src -f Makefile.m32 SSH2=1 SSL=1 SSPI=1 ZLIB=1

mingw32-clean:
	$(MAKE) -C lib -f Makefile.m32 clean
	$(MAKE) -C src -f Makefile.m32 clean

vc-clean:
	cd lib
	nmake -f Makefile.$(VC) clean
	cd ..\src
	nmake -f Makefile.$(VC) clean

vc-all:
	cd lib
	nmake -f Makefile.$(VC) cfg=release
	nmake -f Makefile.$(VC) cfg=release-ssl
	nmake -f Makefile.$(VC) cfg=release-zlib
	nmake -f Makefile.$(VC) cfg=release-ssl-zlib
	nmake -f Makefile.$(VC) cfg=release-ssl-dll
	nmake -f Makefile.$(VC) cfg=release-zlib-dll
	nmake -f Makefile.$(VC) cfg=release-ssl-dll-zlib-dll
	nmake -f Makefile.$(VC) cfg=release-dll
	nmake -f Makefile.$(VC) cfg=release-dll-ssl-dll
	nmake -f Makefile.$(VC) cfg=release-dll-zlib-dll
	nmake -f Makefile.$(VC) cfg=release-dll-ssl-dll-zlib-dll
	nmake -f Makefile.$(VC) cfg=debug
	nmake -f Makefile.$(VC) cfg=debug-ssl
	nmake -f Makefile.$(VC) cfg=debug-zlib
	nmake -f Makefile.$(VC) cfg=debug-ssl-zlib
	nmake -f Makefile.$(VC) cfg=debug-ssl-dll
	nmake -f Makefile.$(VC) cfg=debug-zlib-dll
	nmake -f Makefile.$(VC) cfg=debug-ssl-dll-zlib-dll
	nmake -f Makefile.$(VC) cfg=debug-dll
	nmake -f Makefile.$(VC) cfg=debug-dll-ssl-dll
	nmake -f Makefile.$(VC) cfg=debug-dll-zlib-dll
	nmake -f Makefile.$(VC) cfg=debug-dll-ssl-dll-zlib-dll

vc:
	cd lib
	nmake /f Makefile.$(VC) cfg=release
	cd ..\src
	nmake /f Makefile.$(VC)

vc-x64:
	cd lib
	MACHINE=x64 nmake /f Makefile.$(VC) cfg=release
	cd ..\src
	MACHINE=x64 nmake /f Makefile.$(VC)

vc-zlib:
	cd lib
	nmake /f Makefile.$(VC) cfg=release-zlib
	cd ..\src
	nmake /f Makefile.$(VC) cfg=release-zlib

vc-ssl:
	cd lib
	nmake /f Makefile.$(VC) cfg=release-ssl
	cd ..\src
	nmake /f Makefile.$(VC) cfg=release-ssl

vc-ssl-zlib:
	cd lib
	nmake /f Makefile.$(VC) cfg=release-ssl-zlib
	cd ..\src
	nmake /f Makefile.$(VC) cfg=release-ssl-zlib

vc-ssl-dll:
	cd lib
	nmake /f Makefile.$(VC) cfg=release-ssl-dll
	cd ..\src
	nmake /f Makefile.$(VC) cfg=release-ssl-dll

vc-dll-ssl-dll:
	cd lib
	nmake /f Makefile.$(VC) cfg=release-dll-ssl-dll
	cd ..\src
	nmake /f Makefile.$(VC) cfg=release-dll-ssl-dll

vc-dll:
	cd lib
	nmake /f Makefile.$(VC) cfg=release-dll
	cd ..\src
	nmake /f Makefile.$(VC) cfg=release-dll

vc-dll-zlib-dll:
	cd lib
	nmake /f Makefile.$(VC) cfg=release-dll-zlib-dll
	cd ..\src
	nmake /f Makefile.$(VC) cfg=release-dll-zlib-dll

vc-dll-ssl-dll-zlib-dll:
	cd lib
	nmake /f Makefile.$(VC) cfg=release-dll-ssl-dll-zlib-dll
	cd ..\src
	nmake /f Makefile.$(VC) cfg=release-dll-ssl-dll-zlib-dll

vc-ssl-dll-zlib-dll:
	cd lib
	nmake /f Makefile.$(VC) cfg=release-ssl-dll-zlib-dll
	cd ..\src
	nmake /f Makefile.$(VC) cfg=release-ssl-dll-zlib-dll

vc-zlib-dll:
	cd lib
	nmake /f Makefile.$(VC) cfg=release-zlib-dll
	cd ..\src
	nmake /f Makefile.$(VC) cfg=release-zlib-dll

vc-sspi:
	cd lib
	nmake /f Makefile.$(VC) cfg=release WINDOWS_SSPI=1
	cd ..\src
	nmake /f Makefile.$(VC) cfg=release WINDOWS_SSPI=1

djgpp:
	$(MAKE) -C lib -f Makefile.dj
	$(MAKE) -C src -f Makefile.dj

cygwin:
	./configure
	make

cygwin-ssl:
	./configure --with-ssl
	make

amiga:
	cd ./lib && make -f makefile.amiga
	cd ./src && make -f makefile.amiga

netware:
	$(MAKE) -C lib -f Makefile.netware
	$(MAKE) -C src -f Makefile.netware

netware-ares:
	$(MAKE) -C lib -f Makefile.netware WITH_ARES=1
	$(MAKE) -C src -f Makefile.netware WITH_ARES=1

netware-ssl:
	$(MAKE) -C lib -f Makefile.netware WITH_SSL=1
	$(MAKE) -C src -f Makefile.netware WITH_SSL=1

netware-ssl-zlib:
	$(MAKE) -C lib -f Makefile.netware WITH_SSL=1 WITH_ZLIB=1
	$(MAKE) -C src -f Makefile.netware WITH_SSL=1 WITH_ZLIB=1

netware-ssh2-ssl-zlib:
	$(MAKE) -C lib -f Makefile.netware WITH_SSH2=1 WITH_SSL=1 WITH_ZLIB=1
	$(MAKE) -C src -f Makefile.netware WITH_SSH2=1 WITH_SSL=1 WITH_ZLIB=1

netware-zlib:
	$(MAKE) -C lib -f Makefile.netware WITH_ZLIB=1
	$(MAKE) -C src -f Makefile.netware WITH_ZLIB=1

netware-clean:
	$(MAKE) -C lib -f Makefile.netware clean
	$(MAKE) -C src -f Makefile.netware clean

netware-install:
	$(MAKE) -C lib -f Makefile.netware install
	$(MAKE) -C src -f Makefile.netware install

unix: all

unix-ssl: ssl

linux: all

linux-ssl: ssl

vc8:
	echo "generate VC8 makefiles"
	sed -e "s#/GX /DWIN32 /YX#/EHsc /DWIN32#" -e "s#/GZ#/RTC1#" -e "s/wsock32.lib/wsock32.lib bufferoverflowu.lib/g" -e "s/VC6/VC8/g" lib/Makefile.vc6 > lib/Makefile.vc8
	sed -e "s#/GX /DWIN32 /YX#/EHsc /DWIN32#" -e "s#/GZ#/RTC1#" -e "s/wsock32.lib/wsock32.lib bufferoverflowu.lib/g" -e "s/VC6/VC8/g" src/Makefile.vc6 > src/Makefile.vc8

## curl 7.19.5

=== src/CMakeLists.txt ===
SET(EXE_NAME curl)

# First try to locate hugehelp.c to see if it has already been created
# TODO Find the file WITHOUT adding a cache entry!!! Or else the user can delete the file after the script was first run, and the script won't notice it has gone.
FIND_FILE(HUGEHELP_C_FILE hugehelp.c PATHS . NO_DEFAULT_PATH)
IF (NOT HUGEHELP_C_FILE)
	MESSAGE(STATUS "Warning: hugehelp.c file was not generated before. Generating an 'empty' file...")
	FILE(WRITE hugehelp.c "/* built-in manual is disabled, blank function */\n#include \"hugehelp.h\"\nvoid hugehelp(void) {}\n\n")
ENDIF()

TRANSFORM_MAKEFILE_INC("Makefile.inc" "${CMAKE_CURRENT_BINARY_DIR}/Makefile.inc.cmake")
INCLUDE(${CMAKE_CURRENT_BINARY_DIR}/Makefile.inc.cmake)

IF(MSVC)
	LIST(APPEND CURL_SOURCE curl.rc)
ENDIF()

ADD_EXECUTABLE(
	${EXE_NAME}
    ${curl_SOURCES}
)

SOURCE_GROUP("cURLX source files" FILES ${CURLX_ONES})
SOURCE_GROUP("cURL source files" FILES ${CURL_SOURCES})
SOURCE_GROUP("cURL header files" FILES ${CURL_HFILES})

INCLUDE_DIRECTORIES(
    ${CURL_SOURCE_DIR}/lib		# To be able to reach "setup_once.h"
    ${CURL_BINARY_DIR}/lib		# To be able to reach "config.h"
	${CURL_BINARY_DIR}/include	# To be able to reach "curl/curlbuild.h"
)


# Setup dependencies
SETUP_CURL_DEPENDENCIES(${EXE_NAME})
TARGET_LINK_LIBRARIES( ${EXE_NAME} libcurl )


################################################################################

#SET_TARGET_PROPERTIES(${EXE_NAME} ARCHIVE_OUTPUT_DIRECTORY "blah blah blah")
#SET_TARGET_PROPERTIES(${EXE_NAME} RUNTIME_OUTPUT_DIRECTORY "blah blah blah")
#SET_TARGET_PROPERTIES(${EXE_NAME} LIBRARY_OUTPUT_DIRECTORY "blah blah blah")

# Add the postfix to the executable since it is not added automatically as for modules and shared libraries
SET_TARGET_PROPERTIES(${EXE_NAME} PROPERTIES DEBUG_POSTFIX "${CMAKE_DEBUG_POSTFIX}")

IF(MSVC)
	IF(NOT BUILD_RELEASE_DEBUG_DIRS)
		# Ugly workaround to remove the "/debug" or "/release" in each output
		SET_TARGET_PROPERTIES(${EXE_NAME} PROPERTIES PREFIX "../")
	ENDIF()
ENDIF()

#INCLUDE(ModuleInstall OPTIONAL)
